package mqtt_request

import (
	"encoding/json"
	"git.sxidc.com/go-framework/baize/framework/core/mqtt_api"
	"github.com/go-playground/validator/v10"
)

var validate = validator.New(validator.WithRequiredStructEnabled())

func BindingJson(c *mqtt_api.Context, request any) error {
	if c.Data == nil || len(c.Data) == 0 || request == nil {
		return nil
	}

	err := json.Unmarshal(c.Data, request)
	if err != nil {
		return err
	}

	err = validate.Struct(request)
	if err != nil {
		return err
	}

	return nil
}
